apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: mealie
  name: mealie
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: mealie
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: mealie
    spec:
      containers:
        - env:
            - name: PGID
              value: "1000"
            - name: PUID
              value: "1000"
            - name: RECIPE_DISABLE_AMOUNT
              value: "false"
            - name: RECIPE_DISABLE_COMMENTS
              value: "false"
            - name: RECIPE_LANDSCAPE_VIEW
              value: "true"
            - name: RECIPE_PUBLIC
              value: "true"
            - name: RECIPE_SHOW_ASSETS
              value: "true"
            - name: RECIPE_SHOW_NUTRITION
              value: "true"
            - name: TZ
              value: Europe/Madrid
          image: hkotel/mealie:v0.5.0
          #image: hkotel/mealie:latest
          name: mealie
          ports:
            - containerPort: 80
          resources: {}
          volumeMounts:
            - mountPath: /app/data
              name: mealie-claim0
      restartPolicy: Always
      volumes:
        - name: mealie-claim0
          persistentVolumeClaim:
            claimName: mealie-claim0
status: {}
